解决WordPress导入数据库”Unknown collation: ‘utf8mb4_unicode_ci”错误

2017年2月17日 评论 962 878字阅读2分55秒

从WordPress4.2版本开始,如果我们在MYSQL5.1版本数据中导出的数据编码是带有utf8mb4格式的,如果我们搬迁网站复原数据的时候,MYSQL5.5等高版本数据库导入到MYSQL5.1低版本的时候会出现"Unknown collation: 'utf8mb4_unicode_ci"错误问题,以前是没有这个问题的,从WP4.2开始才有的。

要解决这个问题,如果我们使用的VPS/服务器,可以类似大鸟昨天的"Linux CentOS6环境下MySQL5.1升级至MySQL5.5版本过程"方法进行升级MYSQL数据库版本,这样就不会存在不兼容问题,但是如果我们使用的虚拟主机或者升级MYSQL存在一定的技术活,要是处理错误还真的比较麻烦。我们这里可以在导出数据库的时候选择兼容版本。

大鸟之前也有分享过4篇关于数据库导入编码问题和数据库升级类的相关文章:

1、解决导入MySQL数据库提示”Unknown character set: ‘utf8mb4′”错误
2、解决WordPress导入数据库”Unknown collation: ‘utf8mb4_unicode_ci”错误
3、MySQL数据库导入提示”utf8mb4_unicode_520_ci”错误的问题解决方法
4、Linux CentOS6环境下MySQL5.1升级至MySQL5.5版本过程

第一、备份数据

我们在升级和导入数据之前,需要将已有的主机/服务器中的网站数据进行备份。

第二、导出兼容版本数据库

进入PHPMYADMIN,我们导出数据库的时候看下面界面。

解决WordPress导入数据库

选择自定义导出方式。

解决WordPress导入数据库

看上图,在最大程度兼容数据库选项中选择MYSQL40,然后导出数据库我们再导入到低版本的MYSQL中是没有问题的。如果有出现乱码问题,我们将:

define('DB_CHARSET', 'utf8mb4');

改成

define('DB_CHARSET', 'utf-8');

因为utf8mb4需要在5.5以上版本兼容,如果我们是新安装VPS网站环境,建议还是直接将MYSQL安装/升级到5.5及以上版本,这样就不至于出现这样的问题。

  • 我的微信
  • 分享风间由美中文字幕建站技术交流等!
  • weinxin
  • 微信公众号
  • 关注本博公众号
  • weinxin
大鸟
匿名

发表评论

匿名网友

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: